uk.gov.hmrc.ct.computations.calculations

# NonBankInterestSimilarIncomeReceivableCalculator

###
Related Doc: package calculations

#### trait NonBankInterestSimilarIncomeReceivableCalculator extends CtTypeConverters

Linear Supertypes
CtTypeConverters, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NonBankInterestSimilarIncomeReceivableCalculator
2. CtTypeConverters
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]

   Definition Classes
     CtTypeConverters

7. #### implicit def convert(catoInt: CtOptionalInteger): Int

   Definition Classes
     CtTypeConverters

8. #### implicit def convert(catoInt: CtInteger): Int

   Definition Classes
     CtTypeConverters

9. #### implicit def convert(catoBoolean: CtOptionalBoolean): Boolean

   Definition Classes
     CtTypeConverters

10. #### implicit def convert(catoBoolean: CtBoolean): Boolean

    Definition Classes
      CtTypeConverters

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def nonBankInterestSimilarIncomeReceivableCalculation(cp501: CP501, cp502: CP502): Option[Int]

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CtTypeConverters

### Inherited from AnyRef

### Inherited from Any

### Ungrouped